Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.timer
Class Timer

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--javax.management.timer.Timer
                  |
                  +--weblogic.management.timer.Timer

public final class Timer
extends javax.management.timer.Timer
implements javax.management.timer.TimerMBean, javax.management.NotificationBroadcaster, java.lang.Runnable, java.io.Serializable

Timer: an implementation of the JMX javax.management.TimerMBean interface that uses weblogic execute threads and honors user identity.

Author:
  Copyright (c) 2001 by BEA. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class javax.management.timer.Timer
`ONE_DAY, ONE_HOUR, ONE_MINUTE, ONE_SECOND, ONE_WEEK`

Constructor Summary
`Timer()`

Method Summary
`java.lang.Integer` | `addNotification(java.lang.String type, java.lang.String message, java.lang.Object userData, java.util.Date date)`
`java.lang.Integer` | `addNotification(java.lang.String type, java.lang.String message, java.lang.Object userData, java.util.Date date, long period)`
`java.lang.Integer` | `addNotification(java.lang.String type, java.lang.String message, java.lang.Object userData, java.util.Date date, long period, long nbOccurences)`
`void` | `addNotification(weblogic.time.common.internal.TimerNotification tn)`
`void` | `addNotificationListener(javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback)`
`void` | `deliverNotifications(javax.management.Notification tn)`
`java.util.Vector` | `getAllNotificationIDs()`
`java.util.Date` | `getDate(java.lang.Integer id)`
`java.lang.String` | `getDispatchPolicy()`
`int` | `getNbNotifications()`
`java.lang.Long` | `getNbOccurences(java.lang.Integer id)`
`java.util.Vector` | `getNotificationIDs(java.lang.String type)`
`javax.management.MBeanNotificationInfo[]` | `getNotificationInfo()`
`java.lang.String` | `getNotificationMessage(java.lang.Integer id)`
`java.lang.String` | `getNotificationType(java.lang.Integer id)`
`java.lang.Object` | `getNotificationUserData(java.lang.Integer id)`
`java.lang.Long` | `getPeriod(java.lang.Integer id)`
`boolean` | `getSendPastNotifications()`
`boolean` | `isActive()`
`boolean` | `isEmpty()`
`void` | `removeAllNotifications()`
`void` | `removeNotification(java.lang.Integer id)`
`void` | `removeNotification(weblogic.time.common.internal.TimerNotification tn)`
`void` | `removeNotification(weblogic.time.common.internal.TimerNotification tn, boolean removeFromTimeTable)`
`void` | `removeNotificationListener(javax.management.NotificationListener listener)`
`void` | `removeNotifications(java.lang.String type)`
`void` | `run()`
`void` | `setDispatchPolicy(java.lang.String dispatchPolicy)`
`void` | `setSendPastNotifications(boolean value)`
`void` | `start()`
`void` | `start(java.lang.ThreadGroup tg, java.lang.String name, int priority)`
`void` | `stop()`

Methods inherited from class javax.management.timer.Timer
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Timer

    public Timer()

Method Detail

### setDispatchPolicy

    public void setDispatchPolicy(java.lang.String dispatchPolicy)

### getDispatchPolicy

    public java.lang.String getDispatchPolicy()

### start

    public void start()

  Specified by:
    start in interface javax.management.timer.TimerMBean

  Overrides:
    start in class javax.management.timer.Timer

### start

    public void start(java.lang.ThreadGroup tg,
                      java.lang.String name,
                      int priority)

### stop

    public void stop()

  Specified by:
    stop in interface javax.management.timer.TimerMBean

  Overrides:
    stop in class javax.management.timer.Timer

### addNotification

    public java.lang.Integer addNotification(java.lang.String type,
                                             java.lang.String message,
                                             java.lang.Object userData,
                                             java.util.Date date,
                                             long period,
                                             long nbOccurences)
                                      throws java.lang.IllegalArgumentException

  Specified by:
    addNotification in interface javax.management.timer.TimerMBean

  Overrides:
    addNotification in class javax.management.timer.Timer

### addNotification

    public java.lang.Integer addNotification(java.lang.String type,
                                             java.lang.String message,
                                             java.lang.Object userData,
                                             java.util.Date date,
                                             long period)
                                      throws java.lang.IllegalArgumentException

  Specified by:
    addNotification in interface javax.management.timer.TimerMBean

  Overrides:
    addNotification in class javax.management.timer.Timer

### addNotification

    public java.lang.Integer addNotification(java.lang.String type,
                                             java.lang.String message,
                                             java.lang.Object userData,
                                             java.util.Date date)
                                      throws java.lang.IllegalArgumentException

  Specified by:
    addNotification in interface javax.management.timer.TimerMBean

  Overrides:
    addNotification in class javax.management.timer.Timer

### removeNotification

    public void removeNotification(java.lang.Integer id)
                            throws javax.management.InstanceNotFoundException

  Specified by:
    removeNotification in interface javax.management.timer.TimerMBean

  Overrides:
    removeNotification in class javax.management.timer.Timer

### removeNotifications

    public void removeNotifications(java.lang.String type)
                             throws javax.management.InstanceNotFoundException

  Specified by:
    removeNotifications in interface javax.management.timer.TimerMBean

  Overrides:
    removeNotifications in class javax.management.timer.Timer

### removeAllNotifications

    public void removeAllNotifications()

  Specified by:
    removeAllNotifications in interface javax.management.timer.TimerMBean

  Overrides:
    removeAllNotifications in class javax.management.timer.Timer

### getNbNotifications

    public int getNbNotifications()

  Specified by:
    getNbNotifications in interface javax.management.timer.TimerMBean

  Overrides:
    getNbNotifications in class javax.management.timer.Timer

### getAllNotificationIDs

    public java.util.Vector getAllNotificationIDs()

  Specified by:
    getAllNotificationIDs in interface javax.management.timer.TimerMBean

  Overrides:
    getAllNotificationIDs in class javax.management.timer.Timer

### getNotificationIDs

    public java.util.Vector getNotificationIDs(java.lang.String type)

  Specified by:
    getNotificationIDs in interface javax.management.timer.TimerMBean

  Overrides:
    getNotificationIDs in class javax.management.timer.Timer

### getNotificationType

    public java.lang.String getNotificationType(java.lang.Integer id)

  Specified by:
    getNotificationType in interface javax.management.timer.TimerMBean

  Overrides:
    getNotificationType in class javax.management.timer.Timer

### getNotificationMessage

    public java.lang.String getNotificationMessage(java.lang.Integer id)

  Specified by:
    getNotificationMessage in interface javax.management.timer.TimerMBean

  Overrides:
    getNotificationMessage in class javax.management.timer.Timer

### getNotificationUserData

    public java.lang.Object getNotificationUserData(java.lang.Integer id)

  Specified by:
    getNotificationUserData in interface javax.management.timer.TimerMBean

  Overrides:
    getNotificationUserData in class javax.management.timer.Timer

### getDate

    public java.util.Date getDate(java.lang.Integer id)

  Specified by:
    getDate in interface javax.management.timer.TimerMBean

  Overrides:
    getDate in class javax.management.timer.Timer

### getPeriod

    public java.lang.Long getPeriod(java.lang.Integer id)

  Specified by:
    getPeriod in interface javax.management.timer.TimerMBean

  Overrides:
    getPeriod in class javax.management.timer.Timer

### getNbOccurences

    public java.lang.Long getNbOccurences(java.lang.Integer id)

  Specified by:
    getNbOccurences in interface javax.management.timer.TimerMBean

  Overrides:
    getNbOccurences in class javax.management.timer.Timer

### getSendPastNotifications

    public boolean getSendPastNotifications()

  Specified by:
    getSendPastNotifications in interface javax.management.timer.TimerMBean

  Overrides:
    getSendPastNotifications in class javax.management.timer.Timer

### setSendPastNotifications

    public void setSendPastNotifications(boolean value)

  Specified by:
    setSendPastNotifications in interface javax.management.timer.TimerMBean

  Overrides:
    setSendPastNotifications in class javax.management.timer.Timer

### isActive

    public boolean isActive()

  Specified by:
    isActive in interface javax.management.timer.TimerMBean

  Overrides:
    isActive in class javax.management.timer.Timer

### isEmpty

    public boolean isEmpty()

  Specified by:
    isEmpty in interface javax.management.timer.TimerMBean

  Overrides:
    isEmpty in class javax.management.timer.Timer

### addNotificationListener

    public void addNotificationListener(javax.management.NotificationListener listener,
                                        javax.management.NotificationFilter filter,
                                        java.lang.Object handback)
                                 throws java.lang.IllegalArgumentException

  Specified by:
    addNotificationListener in interface javax.management.NotificationBroadcaster

  Overrides:
    addNotificationListener in class javax.management.NotificationBroadcasterSupport

### removeNotificationListener

    public void removeNotificationListener(javax.management.NotificationListener listener)
                                    throws javax.management.ListenerNotFoundException

  Specified by:
    removeNotificationListener in interface javax.management.NotificationBroadcaster

  Overrides:
    removeNotificationListener in class javax.management.NotificationBroadcasterSupport

### getNotificationInfo

    public javax.management.MBeanNotificationInfo[] getNotificationInfo()

  Specified by:
    getNotificationInfo in interface javax.management.NotificationBroadcaster

  Overrides:
    getNotificationInfo in class javax.management.NotificationBroadcasterSupport

### run

    public void run()

  Specified by:
    run in interface java.lang.Runnable

### addNotification

    public void addNotification(weblogic.time.common.internal.TimerNotification tn)

### removeNotification

    public void removeNotification(weblogic.time.common.internal.TimerNotification tn)
                            throws javax.management.InstanceNotFoundException

### removeNotification

    public void removeNotification(weblogic.time.common.internal.TimerNotification tn,
                                   boolean removeFromTimeTable)
                            throws javax.management.InstanceNotFoundException

### deliverNotifications

    public void deliverNotifications(javax.management.Notification tn)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference